package info.bukova.isspst.dao;

import java.util.List;

import org.hibernate.Query;
import org.hibernate.Session;

public interface BaseDao<T> {

	public void add(T entity);
	public void delete(T entity);
	public void modify(T entity);
	public T getById(int id);
	public List<T> getAll();
	public Query getQuery(String query);
	public List<T> execQuery(String query);
	public String getEntityName();
	public Session getSession();
	
}
